// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: src/tides.proto

package org.veille.protobuf;

public final class TideProto {
  private TideProto() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  public interface TideOrBuilder extends
      // @@protoc_insertion_point(interface_extends:Tide)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string requested_date_time = 1;</code>
     * @return The requestedDateTime.
     */
    java.lang.String getRequestedDateTime();
    /**
     * <code>string requested_date_time = 1;</code>
     * @return The bytes for requestedDateTime.
     */
    com.google.protobuf.ByteString
        getRequestedDateTimeBytes();

    /**
     * <code>string previous_tide_date_time = 2;</code>
     * @return The previousTideDateTime.
     */
    java.lang.String getPreviousTideDateTime();
    /**
     * <code>string previous_tide_date_time = 2;</code>
     * @return The bytes for previousTideDateTime.
     */
    com.google.protobuf.ByteString
        getPreviousTideDateTimeBytes();

    /**
     * <code>optional float previous_tide_height = 3;</code>
     * @return Whether the previousTideHeight field is set.
     */
    boolean hasPreviousTideHeight();
    /**
     * <code>optional float previous_tide_height = 3;</code>
     * @return The previousTideHeight.
     */
    float getPreviousTideHeight();

    /**
     * <code>string next_tide_date_time = 4;</code>
     * @return The nextTideDateTime.
     */
    java.lang.String getNextTideDateTime();
    /**
     * <code>string next_tide_date_time = 4;</code>
     * @return The bytes for nextTideDateTime.
     */
    com.google.protobuf.ByteString
        getNextTideDateTimeBytes();

    /**
     * <code>optional float next_tide_height = 5;</code>
     * @return Whether the nextTideHeight field is set.
     */
    boolean hasNextTideHeight();
    /**
     * <code>optional float next_tide_height = 5;</code>
     * @return The nextTideHeight.
     */
    float getNextTideHeight();
  }
  /**
   * Protobuf type {@code Tide}
   */
  public static final class Tide extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:Tide)
      TideOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use Tide.newBuilder() to construct.
    private Tide(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Tide() {
      requestedDateTime_ = "";
      previousTideDateTime_ = "";
      nextTideDateTime_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new Tide();
    }

    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.veille.protobuf.TideProto.internal_static_Tide_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.veille.protobuf.TideProto.internal_static_Tide_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.veille.protobuf.TideProto.Tide.class, org.veille.protobuf.TideProto.Tide.Builder.class);
    }

    private int bitField0_;
    public static final int REQUESTED_DATE_TIME_FIELD_NUMBER = 1;
    @SuppressWarnings("serial")
    private volatile java.lang.Object requestedDateTime_ = "";
    /**
     * <code>string requested_date_time = 1;</code>
     * @return The requestedDateTime.
     */
    @java.lang.Override
    public java.lang.String getRequestedDateTime() {
      java.lang.Object ref = requestedDateTime_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        requestedDateTime_ = s;
        return s;
      }
    }
    /**
     * <code>string requested_date_time = 1;</code>
     * @return The bytes for requestedDateTime.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getRequestedDateTimeBytes() {
      java.lang.Object ref = requestedDateTime_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        requestedDateTime_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PREVIOUS_TIDE_DATE_TIME_FIELD_NUMBER = 2;
    @SuppressWarnings("serial")
    private volatile java.lang.Object previousTideDateTime_ = "";
    /**
     * <code>string previous_tide_date_time = 2;</code>
     * @return The previousTideDateTime.
     */
    @java.lang.Override
    public java.lang.String getPreviousTideDateTime() {
      java.lang.Object ref = previousTideDateTime_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        previousTideDateTime_ = s;
        return s;
      }
    }
    /**
     * <code>string previous_tide_date_time = 2;</code>
     * @return The bytes for previousTideDateTime.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getPreviousTideDateTimeBytes() {
      java.lang.Object ref = previousTideDateTime_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        previousTideDateTime_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PREVIOUS_TIDE_HEIGHT_FIELD_NUMBER = 3;
    private float previousTideHeight_ = 0F;
    /**
     * <code>optional float previous_tide_height = 3;</code>
     * @return Whether the previousTideHeight field is set.
     */
    @java.lang.Override
    public boolean hasPreviousTideHeight() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <code>optional float previous_tide_height = 3;</code>
     * @return The previousTideHeight.
     */
    @java.lang.Override
    public float getPreviousTideHeight() {
      return previousTideHeight_;
    }

    public static final int NEXT_TIDE_DATE_TIME_FIELD_NUMBER = 4;
    @SuppressWarnings("serial")
    private volatile java.lang.Object nextTideDateTime_ = "";
    /**
     * <code>string next_tide_date_time = 4;</code>
     * @return The nextTideDateTime.
     */
    @java.lang.Override
    public java.lang.String getNextTideDateTime() {
      java.lang.Object ref = nextTideDateTime_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        nextTideDateTime_ = s;
        return s;
      }
    }
    /**
     * <code>string next_tide_date_time = 4;</code>
     * @return The bytes for nextTideDateTime.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNextTideDateTimeBytes() {
      java.lang.Object ref = nextTideDateTime_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        nextTideDateTime_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int NEXT_TIDE_HEIGHT_FIELD_NUMBER = 5;
    private float nextTideHeight_ = 0F;
    /**
     * <code>optional float next_tide_height = 5;</code>
     * @return Whether the nextTideHeight field is set.
     */
    @java.lang.Override
    public boolean hasNextTideHeight() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <code>optional float next_tide_height = 5;</code>
     * @return The nextTideHeight.
     */
    @java.lang.Override
    public float getNextTideHeight() {
      return nextTideHeight_;
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(requestedDateTime_)) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, requestedDateTime_);
      }
      if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(previousTideDateTime_)) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, previousTideDateTime_);
      }
      if (((bitField0_ & 0x00000001) != 0)) {
        output.writeFloat(3, previousTideHeight_);
      }
      if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(nextTideDateTime_)) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 4, nextTideDateTime_);
      }
      if (((bitField0_ & 0x00000002) != 0)) {
        output.writeFloat(5, nextTideHeight_);
      }
      getUnknownFields().writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(requestedDateTime_)) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, requestedDateTime_);
      }
      if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(previousTideDateTime_)) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, previousTideDateTime_);
      }
      if (((bitField0_ & 0x00000001) != 0)) {
        size += com.google.protobuf.CodedOutputStream
          .computeFloatSize(3, previousTideHeight_);
      }
      if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(nextTideDateTime_)) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(4, nextTideDateTime_);
      }
      if (((bitField0_ & 0x00000002) != 0)) {
        size += com.google.protobuf.CodedOutputStream
          .computeFloatSize(5, nextTideHeight_);
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.veille.protobuf.TideProto.Tide)) {
        return super.equals(obj);
      }
      org.veille.protobuf.TideProto.Tide other = (org.veille.protobuf.TideProto.Tide) obj;

      if (!getRequestedDateTime()
          .equals(other.getRequestedDateTime())) return false;
      if (!getPreviousTideDateTime()
          .equals(other.getPreviousTideDateTime())) return false;
      if (hasPreviousTideHeight() != other.hasPreviousTideHeight()) return false;
      if (hasPreviousTideHeight()) {
        if (java.lang.Float.floatToIntBits(getPreviousTideHeight())
            != java.lang.Float.floatToIntBits(
                other.getPreviousTideHeight())) return false;
      }
      if (!getNextTideDateTime()
          .equals(other.getNextTideDateTime())) return false;
      if (hasNextTideHeight() != other.hasNextTideHeight()) return false;
      if (hasNextTideHeight()) {
        if (java.lang.Float.floatToIntBits(getNextTideHeight())
            != java.lang.Float.floatToIntBits(
                other.getNextTideHeight())) return false;
      }
      if (!getUnknownFields().equals(other.getUnknownFields())) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + REQUESTED_DATE_TIME_FIELD_NUMBER;
      hash = (53 * hash) + getRequestedDateTime().hashCode();
      hash = (37 * hash) + PREVIOUS_TIDE_DATE_TIME_FIELD_NUMBER;
      hash = (53 * hash) + getPreviousTideDateTime().hashCode();
      if (hasPreviousTideHeight()) {
        hash = (37 * hash) + PREVIOUS_TIDE_HEIGHT_FIELD_NUMBER;
        hash = (53 * hash) + java.lang.Float.floatToIntBits(
            getPreviousTideHeight());
      }
      hash = (37 * hash) + NEXT_TIDE_DATE_TIME_FIELD_NUMBER;
      hash = (53 * hash) + getNextTideDateTime().hashCode();
      if (hasNextTideHeight()) {
        hash = (37 * hash) + NEXT_TIDE_HEIGHT_FIELD_NUMBER;
        hash = (53 * hash) + java.lang.Float.floatToIntBits(
            getNextTideHeight());
      }
      hash = (29 * hash) + getUnknownFields().hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.veille.protobuf.TideProto.Tide parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.Tide parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.veille.protobuf.TideProto.Tide parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.veille.protobuf.TideProto.Tide parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.veille.protobuf.TideProto.Tide prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code Tide}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:Tide)
        org.veille.protobuf.TideProto.TideOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.veille.protobuf.TideProto.internal_static_Tide_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.veille.protobuf.TideProto.internal_static_Tide_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.veille.protobuf.TideProto.Tide.class, org.veille.protobuf.TideProto.Tide.Builder.class);
      }

      // Construct using org.veille.protobuf.TideProto.Tide.newBuilder()
      private Builder() {

      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);

      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        bitField0_ = 0;
        requestedDateTime_ = "";
        previousTideDateTime_ = "";
        previousTideHeight_ = 0F;
        nextTideDateTime_ = "";
        nextTideHeight_ = 0F;
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.veille.protobuf.TideProto.internal_static_Tide_descriptor;
      }

      @java.lang.Override
      public org.veille.protobuf.TideProto.Tide getDefaultInstanceForType() {
        return org.veille.protobuf.TideProto.Tide.getDefaultInstance();
      }

      @java.lang.Override
      public org.veille.protobuf.TideProto.Tide build() {
        org.veille.protobuf.TideProto.Tide result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.veille.protobuf.TideProto.Tide buildPartial() {
        org.veille.protobuf.TideProto.Tide result = new org.veille.protobuf.TideProto.Tide(this);
        if (bitField0_ != 0) { buildPartial0(result); }
        onBuilt();
        return result;
      }

      private void buildPartial0(org.veille.protobuf.TideProto.Tide result) {
        int from_bitField0_ = bitField0_;
        if (((from_bitField0_ & 0x00000001) != 0)) {
          result.requestedDateTime_ = requestedDateTime_;
        }
        if (((from_bitField0_ & 0x00000002) != 0)) {
          result.previousTideDateTime_ = previousTideDateTime_;
        }
        int to_bitField0_ = 0;
        if (((from_bitField0_ & 0x00000004) != 0)) {
          result.previousTideHeight_ = previousTideHeight_;
          to_bitField0_ |= 0x00000001;
        }
        if (((from_bitField0_ & 0x00000008) != 0)) {
          result.nextTideDateTime_ = nextTideDateTime_;
        }
        if (((from_bitField0_ & 0x00000010) != 0)) {
          result.nextTideHeight_ = nextTideHeight_;
          to_bitField0_ |= 0x00000002;
        }
        result.bitField0_ |= to_bitField0_;
      }

      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.veille.protobuf.TideProto.Tide) {
          return mergeFrom((org.veille.protobuf.TideProto.Tide)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.veille.protobuf.TideProto.Tide other) {
        if (other == org.veille.protobuf.TideProto.Tide.getDefaultInstance()) return this;
        if (!other.getRequestedDateTime().isEmpty()) {
          requestedDateTime_ = other.requestedDateTime_;
          bitField0_ |= 0x00000001;
          onChanged();
        }
        if (!other.getPreviousTideDateTime().isEmpty()) {
          previousTideDateTime_ = other.previousTideDateTime_;
          bitField0_ |= 0x00000002;
          onChanged();
        }
        if (other.hasPreviousTideHeight()) {
          setPreviousTideHeight(other.getPreviousTideHeight());
        }
        if (!other.getNextTideDateTime().isEmpty()) {
          nextTideDateTime_ = other.nextTideDateTime_;
          bitField0_ |= 0x00000008;
          onChanged();
        }
        if (other.hasNextTideHeight()) {
          setNextTideHeight(other.getNextTideHeight());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        if (extensionRegistry == null) {
          throw new java.lang.NullPointerException();
        }
        try {
          boolean done = false;
          while (!done) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                done = true;
                break;
              case 10: {
                requestedDateTime_ = input.readStringRequireUtf8();
                bitField0_ |= 0x00000001;
                break;
              } // case 10
              case 18: {
                previousTideDateTime_ = input.readStringRequireUtf8();
                bitField0_ |= 0x00000002;
                break;
              } // case 18
              case 29: {
                previousTideHeight_ = input.readFloat();
                bitField0_ |= 0x00000004;
                break;
              } // case 29
              case 34: {
                nextTideDateTime_ = input.readStringRequireUtf8();
                bitField0_ |= 0x00000008;
                break;
              } // case 34
              case 45: {
                nextTideHeight_ = input.readFloat();
                bitField0_ |= 0x00000010;
                break;
              } // case 45
              default: {
                if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                  done = true; // was an endgroup tag
                }
                break;
              } // default:
            } // switch (tag)
          } // while (!done)
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          throw e.unwrapIOException();
        } finally {
          onChanged();
        } // finally
        return this;
      }
      private int bitField0_;

      private java.lang.Object requestedDateTime_ = "";
      /**
       * <code>string requested_date_time = 1;</code>
       * @return The requestedDateTime.
       */
      public java.lang.String getRequestedDateTime() {
        java.lang.Object ref = requestedDateTime_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          requestedDateTime_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string requested_date_time = 1;</code>
       * @return The bytes for requestedDateTime.
       */
      public com.google.protobuf.ByteString
          getRequestedDateTimeBytes() {
        java.lang.Object ref = requestedDateTime_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          requestedDateTime_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string requested_date_time = 1;</code>
       * @param value The requestedDateTime to set.
       * @return This builder for chaining.
       */
      public Builder setRequestedDateTime(
          java.lang.String value) {
        if (value == null) { throw new NullPointerException(); }
        requestedDateTime_ = value;
        bitField0_ |= 0x00000001;
        onChanged();
        return this;
      }
      /**
       * <code>string requested_date_time = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearRequestedDateTime() {
        requestedDateTime_ = getDefaultInstance().getRequestedDateTime();
        bitField0_ = (bitField0_ & ~0x00000001);
        onChanged();
        return this;
      }
      /**
       * <code>string requested_date_time = 1;</code>
       * @param value The bytes for requestedDateTime to set.
       * @return This builder for chaining.
       */
      public Builder setRequestedDateTimeBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) { throw new NullPointerException(); }
        checkByteStringIsUtf8(value);
        requestedDateTime_ = value;
        bitField0_ |= 0x00000001;
        onChanged();
        return this;
      }

      private java.lang.Object previousTideDateTime_ = "";
      /**
       * <code>string previous_tide_date_time = 2;</code>
       * @return The previousTideDateTime.
       */
      public java.lang.String getPreviousTideDateTime() {
        java.lang.Object ref = previousTideDateTime_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          previousTideDateTime_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string previous_tide_date_time = 2;</code>
       * @return The bytes for previousTideDateTime.
       */
      public com.google.protobuf.ByteString
          getPreviousTideDateTimeBytes() {
        java.lang.Object ref = previousTideDateTime_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          previousTideDateTime_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string previous_tide_date_time = 2;</code>
       * @param value The previousTideDateTime to set.
       * @return This builder for chaining.
       */
      public Builder setPreviousTideDateTime(
          java.lang.String value) {
        if (value == null) { throw new NullPointerException(); }
        previousTideDateTime_ = value;
        bitField0_ |= 0x00000002;
        onChanged();
        return this;
      }
      /**
       * <code>string previous_tide_date_time = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearPreviousTideDateTime() {
        previousTideDateTime_ = getDefaultInstance().getPreviousTideDateTime();
        bitField0_ = (bitField0_ & ~0x00000002);
        onChanged();
        return this;
      }
      /**
       * <code>string previous_tide_date_time = 2;</code>
       * @param value The bytes for previousTideDateTime to set.
       * @return This builder for chaining.
       */
      public Builder setPreviousTideDateTimeBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) { throw new NullPointerException(); }
        checkByteStringIsUtf8(value);
        previousTideDateTime_ = value;
        bitField0_ |= 0x00000002;
        onChanged();
        return this;
      }

      private float previousTideHeight_ ;
      /**
       * <code>optional float previous_tide_height = 3;</code>
       * @return Whether the previousTideHeight field is set.
       */
      @java.lang.Override
      public boolean hasPreviousTideHeight() {
        return ((bitField0_ & 0x00000004) != 0);
      }
      /**
       * <code>optional float previous_tide_height = 3;</code>
       * @return The previousTideHeight.
       */
      @java.lang.Override
      public float getPreviousTideHeight() {
        return previousTideHeight_;
      }
      /**
       * <code>optional float previous_tide_height = 3;</code>
       * @param value The previousTideHeight to set.
       * @return This builder for chaining.
       */
      public Builder setPreviousTideHeight(float value) {

        previousTideHeight_ = value;
        bitField0_ |= 0x00000004;
        onChanged();
        return this;
      }
      /**
       * <code>optional float previous_tide_height = 3;</code>
       * @return This builder for chaining.
       */
      public Builder clearPreviousTideHeight() {
        bitField0_ = (bitField0_ & ~0x00000004);
        previousTideHeight_ = 0F;
        onChanged();
        return this;
      }

      private java.lang.Object nextTideDateTime_ = "";
      /**
       * <code>string next_tide_date_time = 4;</code>
       * @return The nextTideDateTime.
       */
      public java.lang.String getNextTideDateTime() {
        java.lang.Object ref = nextTideDateTime_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          nextTideDateTime_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string next_tide_date_time = 4;</code>
       * @return The bytes for nextTideDateTime.
       */
      public com.google.protobuf.ByteString
          getNextTideDateTimeBytes() {
        java.lang.Object ref = nextTideDateTime_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          nextTideDateTime_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string next_tide_date_time = 4;</code>
       * @param value The nextTideDateTime to set.
       * @return This builder for chaining.
       */
      public Builder setNextTideDateTime(
          java.lang.String value) {
        if (value == null) { throw new NullPointerException(); }
        nextTideDateTime_ = value;
        bitField0_ |= 0x00000008;
        onChanged();
        return this;
      }
      /**
       * <code>string next_tide_date_time = 4;</code>
       * @return This builder for chaining.
       */
      public Builder clearNextTideDateTime() {
        nextTideDateTime_ = getDefaultInstance().getNextTideDateTime();
        bitField0_ = (bitField0_ & ~0x00000008);
        onChanged();
        return this;
      }
      /**
       * <code>string next_tide_date_time = 4;</code>
       * @param value The bytes for nextTideDateTime to set.
       * @return This builder for chaining.
       */
      public Builder setNextTideDateTimeBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) { throw new NullPointerException(); }
        checkByteStringIsUtf8(value);
        nextTideDateTime_ = value;
        bitField0_ |= 0x00000008;
        onChanged();
        return this;
      }

      private float nextTideHeight_ ;
      /**
       * <code>optional float next_tide_height = 5;</code>
       * @return Whether the nextTideHeight field is set.
       */
      @java.lang.Override
      public boolean hasNextTideHeight() {
        return ((bitField0_ & 0x00000010) != 0);
      }
      /**
       * <code>optional float next_tide_height = 5;</code>
       * @return The nextTideHeight.
       */
      @java.lang.Override
      public float getNextTideHeight() {
        return nextTideHeight_;
      }
      /**
       * <code>optional float next_tide_height = 5;</code>
       * @param value The nextTideHeight to set.
       * @return This builder for chaining.
       */
      public Builder setNextTideHeight(float value) {

        nextTideHeight_ = value;
        bitField0_ |= 0x00000010;
        onChanged();
        return this;
      }
      /**
       * <code>optional float next_tide_height = 5;</code>
       * @return This builder for chaining.
       */
      public Builder clearNextTideHeight() {
        bitField0_ = (bitField0_ & ~0x00000010);
        nextTideHeight_ = 0F;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:Tide)
    }

    // @@protoc_insertion_point(class_scope:Tide)
    private static final org.veille.protobuf.TideProto.Tide DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.veille.protobuf.TideProto.Tide();
    }

    public static org.veille.protobuf.TideProto.Tide getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Tide>
        PARSER = new com.google.protobuf.AbstractParser<Tide>() {
      @java.lang.Override
      public Tide parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        Builder builder = newBuilder();
        try {
          builder.mergeFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          throw e.setUnfinishedMessage(builder.buildPartial());
        } catch (com.google.protobuf.UninitializedMessageException e) {
          throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
        } catch (java.io.IOException e) {
          throw new com.google.protobuf.InvalidProtocolBufferException(e)
              .setUnfinishedMessage(builder.buildPartial());
        }
        return builder.buildPartial();
      }
    };

    public static com.google.protobuf.Parser<Tide> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Tide> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.veille.protobuf.TideProto.Tide getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface TideHeightOrBuilder extends
      // @@protoc_insertion_point(interface_extends:TideHeight)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>optional float tide_height = 1;</code>
     * @return Whether the tideHeight field is set.
     */
    boolean hasTideHeight();
    /**
     * <code>optional float tide_height = 1;</code>
     * @return The tideHeight.
     */
    float getTideHeight();
  }
  /**
   * Protobuf type {@code TideHeight}
   */
  public static final class TideHeight extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:TideHeight)
      TideHeightOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use TideHeight.newBuilder() to construct.
    private TideHeight(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private TideHeight() {
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new TideHeight();
    }

    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.veille.protobuf.TideProto.internal_static_TideHeight_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.veille.protobuf.TideProto.internal_static_TideHeight_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.veille.protobuf.TideProto.TideHeight.class, org.veille.protobuf.TideProto.TideHeight.Builder.class);
    }

    private int bitField0_;
    public static final int TIDE_HEIGHT_FIELD_NUMBER = 1;
    private float tideHeight_ = 0F;
    /**
     * <code>optional float tide_height = 1;</code>
     * @return Whether the tideHeight field is set.
     */
    @java.lang.Override
    public boolean hasTideHeight() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <code>optional float tide_height = 1;</code>
     * @return The tideHeight.
     */
    @java.lang.Override
    public float getTideHeight() {
      return tideHeight_;
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (((bitField0_ & 0x00000001) != 0)) {
        output.writeFloat(1, tideHeight_);
      }
      getUnknownFields().writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (((bitField0_ & 0x00000001) != 0)) {
        size += com.google.protobuf.CodedOutputStream
          .computeFloatSize(1, tideHeight_);
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.veille.protobuf.TideProto.TideHeight)) {
        return super.equals(obj);
      }
      org.veille.protobuf.TideProto.TideHeight other = (org.veille.protobuf.TideProto.TideHeight) obj;

      if (hasTideHeight() != other.hasTideHeight()) return false;
      if (hasTideHeight()) {
        if (java.lang.Float.floatToIntBits(getTideHeight())
            != java.lang.Float.floatToIntBits(
                other.getTideHeight())) return false;
      }
      if (!getUnknownFields().equals(other.getUnknownFields())) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasTideHeight()) {
        hash = (37 * hash) + TIDE_HEIGHT_FIELD_NUMBER;
        hash = (53 * hash) + java.lang.Float.floatToIntBits(
            getTideHeight());
      }
      hash = (29 * hash) + getUnknownFields().hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.veille.protobuf.TideProto.TideHeight parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.veille.protobuf.TideProto.TideHeight prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code TideHeight}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:TideHeight)
        org.veille.protobuf.TideProto.TideHeightOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.veille.protobuf.TideProto.internal_static_TideHeight_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.veille.protobuf.TideProto.internal_static_TideHeight_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.veille.protobuf.TideProto.TideHeight.class, org.veille.protobuf.TideProto.TideHeight.Builder.class);
      }

      // Construct using org.veille.protobuf.TideProto.TideHeight.newBuilder()
      private Builder() {

      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);

      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        bitField0_ = 0;
        tideHeight_ = 0F;
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.veille.protobuf.TideProto.internal_static_TideHeight_descriptor;
      }

      @java.lang.Override
      public org.veille.protobuf.TideProto.TideHeight getDefaultInstanceForType() {
        return org.veille.protobuf.TideProto.TideHeight.getDefaultInstance();
      }

      @java.lang.Override
      public org.veille.protobuf.TideProto.TideHeight build() {
        org.veille.protobuf.TideProto.TideHeight result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.veille.protobuf.TideProto.TideHeight buildPartial() {
        org.veille.protobuf.TideProto.TideHeight result = new org.veille.protobuf.TideProto.TideHeight(this);
        if (bitField0_ != 0) { buildPartial0(result); }
        onBuilt();
        return result;
      }

      private void buildPartial0(org.veille.protobuf.TideProto.TideHeight result) {
        int from_bitField0_ = bitField0_;
        int to_bitField0_ = 0;
        if (((from_bitField0_ & 0x00000001) != 0)) {
          result.tideHeight_ = tideHeight_;
          to_bitField0_ |= 0x00000001;
        }
        result.bitField0_ |= to_bitField0_;
      }

      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.veille.protobuf.TideProto.TideHeight) {
          return mergeFrom((org.veille.protobuf.TideProto.TideHeight)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.veille.protobuf.TideProto.TideHeight other) {
        if (other == org.veille.protobuf.TideProto.TideHeight.getDefaultInstance()) return this;
        if (other.hasTideHeight()) {
          setTideHeight(other.getTideHeight());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        if (extensionRegistry == null) {
          throw new java.lang.NullPointerException();
        }
        try {
          boolean done = false;
          while (!done) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                done = true;
                break;
              case 13: {
                tideHeight_ = input.readFloat();
                bitField0_ |= 0x00000001;
                break;
              } // case 13
              default: {
                if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                  done = true; // was an endgroup tag
                }
                break;
              } // default:
            } // switch (tag)
          } // while (!done)
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          throw e.unwrapIOException();
        } finally {
          onChanged();
        } // finally
        return this;
      }
      private int bitField0_;

      private float tideHeight_ ;
      /**
       * <code>optional float tide_height = 1;</code>
       * @return Whether the tideHeight field is set.
       */
      @java.lang.Override
      public boolean hasTideHeight() {
        return ((bitField0_ & 0x00000001) != 0);
      }
      /**
       * <code>optional float tide_height = 1;</code>
       * @return The tideHeight.
       */
      @java.lang.Override
      public float getTideHeight() {
        return tideHeight_;
      }
      /**
       * <code>optional float tide_height = 1;</code>
       * @param value The tideHeight to set.
       * @return This builder for chaining.
       */
      public Builder setTideHeight(float value) {

        tideHeight_ = value;
        bitField0_ |= 0x00000001;
        onChanged();
        return this;
      }
      /**
       * <code>optional float tide_height = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearTideHeight() {
        bitField0_ = (bitField0_ & ~0x00000001);
        tideHeight_ = 0F;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:TideHeight)
    }

    // @@protoc_insertion_point(class_scope:TideHeight)
    private static final org.veille.protobuf.TideProto.TideHeight DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.veille.protobuf.TideProto.TideHeight();
    }

    public static org.veille.protobuf.TideProto.TideHeight getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<TideHeight>
        PARSER = new com.google.protobuf.AbstractParser<TideHeight>() {
      @java.lang.Override
      public TideHeight parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        Builder builder = newBuilder();
        try {
          builder.mergeFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          throw e.setUnfinishedMessage(builder.buildPartial());
        } catch (com.google.protobuf.UninitializedMessageException e) {
          throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
        } catch (java.io.IOException e) {
          throw new com.google.protobuf.InvalidProtocolBufferException(e)
              .setUnfinishedMessage(builder.buildPartial());
        }
        return builder.buildPartial();
      }
    };

    public static com.google.protobuf.Parser<TideHeight> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<TideHeight> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.veille.protobuf.TideProto.TideHeight getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_Tide_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_Tide_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_TideHeight_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_TideHeight_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\017src/tides.proto\"\321\001\n\004Tide\022\033\n\023requested_" +
      "date_time\030\001 \001(\t\022\037\n\027previous_tide_date_ti" +
      "me\030\002 \001(\t\022!\n\024previous_tide_height\030\003 \001(\002H\000" +
      "\210\001\001\022\033\n\023next_tide_date_time\030\004 \001(\t\022\035\n\020next" +
      "_tide_height\030\005 \001(\002H\001\210\001\001B\027\n\025_previous_tid" +
      "e_heightB\023\n\021_next_tide_height\"6\n\nTideHei" +
      "ght\022\030\n\013tide_height\030\001 \001(\002H\000\210\001\001B\016\n\014_tide_h" +
      "eightB \n\023org.veille.protobufB\tTideProtob" +
      "\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        });
    internal_static_Tide_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_Tide_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_Tide_descriptor,
        new java.lang.String[] { "RequestedDateTime", "PreviousTideDateTime", "PreviousTideHeight", "NextTideDateTime", "NextTideHeight", "PreviousTideHeight", "NextTideHeight", });
    internal_static_TideHeight_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_TideHeight_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_TideHeight_descriptor,
        new java.lang.String[] { "TideHeight", "TideHeight", });
  }

  // @@protoc_insertion_point(outer_class_scope)
}
